## com.vividsolutions.jts.operation.relate
Class EdgeEndBundleStar

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeEndStar
          com.vividsolutions.jts.operation.relate.EdgeEndBundleStar

public class EdgeEndBundleStar
extends EdgeEndStar

An ordered list of `EdgeEndBundle`s around a `RelateNode`. They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.geomgraph.EdgeEndStar
`edgeList, edgeMap`

Constructor Summary
`EdgeEndBundleStar()` Creates a new empty EdgeEndBundleStar

Method Summary
`void` `insert(EdgeEnd e)` Insert a EdgeEnd in order in the list.

Methods inherited from class com.vividsolutions.jts.geomgraph.EdgeEndStar
`computeLabelling, findIndex, getCoordinate, getDegree, getEdges, getNextCW, insertEdgeEnd, isAreaLabelsConsistent, iterator, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeEndBundleStar

    public EdgeEndBundleStar()

  Creates a new empty EdgeEndBundleStar

Method Detail

### insert

    public void insert(EdgeEnd e)

  Insert a EdgeEnd in order in the list. If there is an existing EdgeStubBundle which is parallel, the EdgeEnd is added to the bundle. Otherwise, a new EdgeEndBundle is created to contain the EdgeEnd.

  Specified by:
    `insert` in class `EdgeEndStar`